> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a KYC link

> Creates a link to KYC for a user

<RequestExample>
  ```bash Request theme={null}
  curl --location --request POST 'https://staging-api.propaga.io/v1/link/kyc' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json' \
  --data '{{
      "userId": "dabb9c06-f6e7-4069-b678-79a2612782ab",
      "verificationId": "83f1708d-6945-49de-b7fa-1b7f6c7fe5fb",
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "kycLink": "<kyc_link_url>"
  }
  ```
</ResponseExample>

## Body

<ParamField body="userId" type="string" required>
  Propaga's user id
</ParamField>

<ParamField body="verificationId" type="string" required>
  Verification id generated when you call the create verification use-case
</ParamField>

## Response

<ResponseField name="kycLink" type="object">
  <ParamField body="magicLinkUrl" type="string">
    URL that redirects to a secure web interface for KYC
  </ParamField>
</ResponseField>
